Bug 1419834 - "Add DNS Zone" GUI text can be improved
Summary: "Add DNS Zone" GUI text can be improved
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ipa
Version: 8.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: IPA Maintainers
QA Contact: Kaleem
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 08:24 UTC by Stephen Wadeley
Modified: 2020-11-30 14:16 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-30 14:16:06 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Stephen Wadeley 2017-02-07 08:24:38 UTC
Description of problem:

On the "Add DNS Zone" pop-up, it says "* Required field". This is misleading as the asterisk moves when you select the other radio button but not everyone will try that before entering something. If you try it afterwards you loose your entry.

 It would be better to remove the asterisk from the radio button text and say:

"Select the required zone type.". 

(As Radio buttons are mutually exclusive just removing the text and asterisk would be better than how it is now.)

It would be nice if the radio buttons were vertically aligned.


Version-Release number of selected component (if applicable):

FreeIPA, version: 4.1.0


Additional info:

Also, CIDR format is required. So, for the 2nd entry, how about "Reverse zone network address in CIDR format".

Comment 2 Petr Vobornik 2017-02-10 17:25:40 UTC
Thanks for the report.

Maybe it can be simplified even more by accepting both styles of defining reverse zone in single field.

I.e.:

Zone name:  [                 ]
            Enter zone name (e.g. example.test., 30.20.10.in-addr.arpa.) 
            Or network address for reverse zones (e.g. 10.20.30.40/24)

Comment 3 Petr Vobornik 2017-02-17 17:15:02 UTC
Upstream ticket:
https://fedorahosted.org/freeipa/ticket/6687

Comment 4 Petr Vobornik 2017-02-17 17:16:09 UTC
Postponing to 7.5. Fixing the bug will depend on capacity of upstream team.

Comment 10 Petr Čech 2020-11-30 14:16:06 UTC
This BZ has been evaluated multiple times over the last several years and we assessed that it is a valuable request to keep in the backlog and address it at some point in future. Time showed that we did not have such capacity, nor have it now nor will have in the foreseeable future. In such a situation keeping it in the backlog is misleading and setting the wrong expectation that we will be able to address it. Unfortunately we will not. To reflect this we are closing this BZ. If you disagree with the decision please reopen or open a new support case and create a new BZ. However this does not guarantee that the request will not be closed during the triage as we are currently applying much more rigor to what we actually can accomplish in the foreseeable future. Contributions and collaboration in the upstream community and CentOS Stream is always welcome!
Thank you for understanding
Red Hat Enterprise Linux Identity Management Team


Note You need to log in before you can comment on or make changes to this bug.